%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%filter_provides_in %{python_sitearch}/.*\.so$ 
%if 0%{?with_python3}
%filter_provides_in %{python3_sitearch}/.*\.so$ 
%endif # if with_python3
%filter_setup

Name:               python-llfuse
Version:            0.40
Release:            5%{?dist}
Summary:            Python Bindings for the low-level FUSE API
Source0:            http://python-llfuse.googlecode.com/files/llfuse-%{version}.tar.bz2
URL:                http://code.google.com/p/python-llfuse/
Group:              Development/Libraries
License:            LGPLv2+

BuildRequires:      libattr-devel
BuildRequires:      fuse-devel >= 2.8.0
BuildRequires:      python-setuptools
BuildRequires:      python2-devel
%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
%endif # if with_python3


%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.
%if 0%{?with_python3}
%package -n python3-llfuse
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Libraries

%description -n python3-llfuse
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.
%endif # with_python3

%prep
%setup -q -n "llfuse-%{version}"
rm doc/html/.buildinfo
rm -rf src/llfuse.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --root %{buildroot}

%files
%doc Changes.txt doc/html LICENSE
%{python_sitearch}/*
%if 0%{?with_python3}
%files -n python3-llfuse
%doc Changes.txt doc/html LICENSE
%{python3_sitearch}/*
%endif # with_python3


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.40-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 21 2014 maci <maci@satgnu.net> - 0.40-1
- update to 0.40

* Tue Sep 24 2013 maci <maci@satgnu.net> - 0.39-1
- update to 0.39

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Marcel Wysocki <maci@satgnu.net> 0.38-1
- update to 0.38

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-11
- initial python3 build

* Thu Nov 01 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-10
- drop python-distribute requirement, it's provided by python-setuptools

* Wed Oct 31 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-9
- drop fuse requirement
- add license to docs

* Wed Oct 31 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-8
- filter out private libraries

* Tue Oct 30 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-7
- use python2-devel BR instead of python-devel

* Tue Oct 30 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-6
- add python-devel to the build requirements
- use optflags macro

* Mon Oct 29 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-5
- add python-setuptools to the build requirements
- delete llfuse.egg-info prior to build
- remove python from requirements, rpm picks it up itself

* Tue Oct 23 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-4
- don't use rm and install macros
- add missing dependencies

* Fri Oct 05 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-3
- add missing builddep

* Thu Oct 04 2012 Marcel Wysocki <maci@satgnu.net> 0.37.1-2
- fedora port

* Sun Jan 22 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.37.1-1
+ Revision: 764912
- new version 0.37.1

* Tue Dec 06 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.37-1
+ Revision: 738418
- Update to 0.37

* Tue Nov 29 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.36-1
+ Revision: 735378
- imported package python-llfuse
